Bug 812679 - Internal server error in browse.html
Internal server error in browse.html
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: BZ42
  Show dependency treegraph
 
Reported: 2012-04-15 18:37 EDT by Simon Green
Modified: 2014-10-12 18:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2.0-0b24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-15 23:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Green 2012-04-15 18:37:56 EDT
When viewing

https://partner-bugzilla.redhat.com/page.cgi?id=browse.html&product=Organisational%20Chart&bug_status=open&tab=recents

an internal server error occurs.

Software error:

Can't locate object method "sql_interval" via package "Bugzilla::DB::Mysql" at /loader/0x133f5140/Bugzilla/Extension/Browse/Queries.pm line 405.

For help, please send mail to the webmaster (bugzilla-owner@redhat.com), giving this error message and the time and date of the error.
Comment 1 Simon Green 2012-04-15 23:37:25 EDT
Bonus fixes:
 * The YUI calendar widget works again :)
 * Taint error when selecting a date range has been fixed (e.g. https://bugzilla.redhat.com/page.cgi?id=browse.html&tab=recents&product=Bugzilla&bug_status=open&recent_days=7&date_from=2012-04-01&date_to=2012-04-16&change=Change )

Note You need to log in before you can comment on or make changes to this bug.